Package org.eclipse.emf.cdo.common.branch

# Class CDODuplicateBranchException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.common.branch.CDODuplicateBranchException

All Implemented Interfaces:
  `Serializable`

public class CDODuplicateBranchException extends CDOException

Since:
  4.16
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDODuplicateBranchException(CDOBranch branch)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDODuplicateBranchException

public CDODuplicateBranchException(CDOBranch branch)